Appearance
Tenant Management
Manage tenants within organizations. Requires ADMIN permissions.
Create Tenant
POST /api/tenant or POST /api/organization/:orgId/tenant
| name * are required parameters | data type | description |
|---|---|---|
body.name* | string | The display name of the new tenant |
body.slug | string | A unique URL-friendly identifier |
Update Tenant
PUT /api/tenant/:tenantId or PUT /api/organization/:orgId/tenant/:tenantId
| name * are required parameters | data type | description |
|---|---|---|
tenantId* | string | The unique identifier of the tenant |
body.name | string | Updated display name |
Move Tenant
PUT /api/tenant/:tenantId/move
| name * are required parameters | data type | description |
|---|---|---|
tenantId* | string | The unique identifier of the tenant to move |
body.orgId* | string | The destination organization ID |
Clone Tenant
POST /api/tenant/:tenantId/clone or POST /api/organization/:orgId/tenant/:tenantId/clone
| name * are required parameters | data type | description |
|---|---|---|
tenantId* | string | The unique identifier of the tenant to clone |
body.name* | string | The display name for the cloned tenant |
Delete Tenant
DELETE /api/tenant/:tenantId or DELETE /api/organization/:orgId/tenant/:tenantId
| name * are required parameters | data type | description |
|---|---|---|
tenantId* | string | The unique identifier of the tenant to delete |
Examples
bash
curl -X POST "https://app.wombat.software/api/organization/:orgId/tenant" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "North Region"}'ENDPOINTS
post
/api/tenantput
/api/tenant/:tenantIdput
/api/tenant/:tenantId/movepost
/api/tenant/:tenantId/clonedelete
/api/tenant/:tenantId